Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.webservice.context
Interface WebServiceHeader

Deprecated. please migrate to jws for webservices

    public interface WebServiceHeader

Object that groups the implicit SOAP headers associated with the current invoke of a Web service operation. "Implicit" refers to any SOAP headers that are not part of the WSDL that describes the Web service.

Method Summary
`void` | `clear()` Deprecated. Removes all implicit SOAP headers from the WebServiceHeader object.
`Object` | `get(QName name)` Deprecated. Returns the value of the specified implicit SOAP header.
`Iterator` | `names()` Deprecated. Returns all the implicit SOAP headers from the WebServiceHeader object.
`void` | `put(QName name, Object value)` Deprecated. Adds a new implicit SOAP header to the WebServiceHeader object.
`Object` | `remove(QName name)` Deprecated. Removes a specific implicit SOAP header.

Method Detail

### put

    void put(QName name,
             Object value)

  Deprecated.
  Adds a new implicit SOAP header to the WebServiceHeader object.

  Parameters:
    `name` - name of the header
    `value` - value of the header. If the value is a complex type, then the serialization class that converts between the XML and Java representation must be registered in the type mapping.

### get

    Object get(QName name)

  Deprecated.
  Returns the value of the specified implicit SOAP header.

  Parameters:
    `name` - name of the header
  Returns:
    value of the header

### remove

    Object remove(QName name)

  Deprecated.
  Removes a specific implicit SOAP header.

  Parameters:
    `name` - name of the header to be removed
  Returns:
    the value of the header removed

### names

    Iterator names()

  Deprecated.
  Returns all the implicit SOAP headers from the WebServiceHeader object.

  Returns:
    iterator containing name of the headers

### clear

    void clear()

  Deprecated.
  Removes all implicit SOAP headers from the WebServiceHeader object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD